Get pipelines Generally available; Added in 5.0.0

GET /_ingest/pipeline

Get information about one or more ingest pipelines. This API returns a local reference of the pipeline.

About ingest pipelines

Query parameters

  • master_timeout string

    Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

    Values are -1 or 0.

    External documentation
  • summary boolean

    Return pipelines without their definitions

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • * object Additional properties
      Hide * attributes Show * attributes object
      • description string

        Description of the ingest pipeline.

      • on_failure array[object]

        Processors to run immediately after a processor failure.

        Hide on_failure attributes Show on_failure attributes object
        • append object
        • attachment object
        • bytes object
        • cef object
        • circle object
        • community_id object
        • convert object
        • csv object
        • date object
        • date_index_name object
        • dissect object
        • dot_expander object
        • drop object
        • enrich object
        • fail object
        • fingerprint object
        • foreach object
        • ip_location object
        • geo_grid object
        • geoip object
        • grok object
        • gsub object
        • html_strip object
        • inference object
        • join object
        • json object
        • kv object
        • lowercase object
        • network_direction object
        • pipeline object
        • redact object
        • registered_domain object
        • remove object
        • rename object
        • reroute object
        • script object
        • set object
        • set_security_user object
        • sort object
        • split object
        • terminate object
        • trim object
        • uppercase object
        • urldecode object
        • uri_parts object
        • user_agent object
      • processors array[object]

        Processors used to perform transformations on documents before indexing. Processors run sequentially in the order specified.

        Hide processors attributes Show processors attributes object
        • append object
        • attachment object
        • bytes object
        • cef object
        • circle object
        • community_id object
        • convert object
        • csv object
        • date object
        • date_index_name object
        • dissect object
        • dot_expander object
        • drop object
        • enrich object
        • fail object
        • fingerprint object
        • foreach object
        • ip_location object
        • geo_grid object
        • geoip object
        • grok object
        • gsub object
        • html_strip object
        • inference object
        • join object
        • json object
        • kv object
        • lowercase object
        • network_direction object
        • pipeline object
        • redact object
        • registered_domain object
        • remove object
        • rename object
        • reroute object
        • script object
        • set object
        • set_security_user object
        • sort object
        • split object
        • terminate object
        • trim object
        • uppercase object
        • urldecode object
        • uri_parts object
        • user_agent object
      • version number

        Version number used by external systems to track ingest pipelines.

      • deprecated boolean

        Marks this ingest pipeline as deprecated. When a deprecated ingest pipeline is referenced as the default or final pipeline when creating or updating a non-deprecated index template, Elasticsearch will emit a deprecation warning.

        Default value is false.

      • _meta object

        Arbitrary metadata about the ingest pipeline. This map is not automatically generated by Elasticsearch.

        Hide _meta attribute Show _meta attribute object
        • * object Additional properties
      • created_date string | number Generally available; Added in 9.2.0

        Date and time when the pipeline was created. Only returned if the human query parameter is true.

        One of:

        Time unit for milliseconds

      • created_date_millis number

        Time unit for milliseconds

      • modified_date string | number Generally available; Added in 9.2.0

        Date and time when the pipeline was last modified. Only returned if the human query parameter is true.

        One of:

        Time unit for milliseconds

      • modified_date_millis number

        Time unit for milliseconds

      • field_access_pattern string

        Controls how processors in this pipeline should read and write data on a document's source.

        Values are classic or flexible.

GET /_ingest/pipeline
curl \
 --request GET 'http://api.example.com/_ingest/pipeline'
Response examples (200)
A successful response for retrieving information about an ingest pipeline.
{
  "my-pipeline-id" : {
    "description" : "describe pipeline",
    "version" : 123,
    "processors" : [
      {
        "set" : {
          "field" : "foo",
          "value" : "bar"
        }
      }
    ],
    "created_date" : "2024-01-01T12:00:00.000Z",
    "created_date_millis" : 1704110400000,
    "modified_date" : "2025-01-01T12:00:00.000Z",
    "modified_date_millis" : 1735732800000
  }
}